<?php


namespace App\Models\Traits;


trait Activable{

    /**
     * @return string
     */
//    public function getStatusAttribute(){
//        return $this->attributes['status'] == 0 ? __('Inactive') : __('Active');
//    }

    /**
     * @return string
     */
    public function getStatusLabelAttribute(){
        return $this->active ?  __('Active') : __('Inactive') ;
    }

    public function scopeActive($query){
        return $query->whereActive(true);
    }

}
